gnutls_global_init_extra(3)

NAME
gnutls_global_init_extra - initializes the global state of gnutls-extra

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_global_init_extra( void);

ARGUMENTS

void

DESCRIPTION

This function initializes the global state of gnutls-extra library to defaults.

Note that gnutls_global_init() has to be called before this function. If this function is not called then the gnutls-extra library will not be usable.

This function is not thread safe, see the discussion for gnutls_global_init() on how to deal with that.

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.